# services/logging/kustomization.yaml
apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
  - namespace.yaml
  - opensearch-dashboards-objects.yaml
  - opensearch-observability-objects.yaml
  - node-log-rotation-serviceaccount.yaml
  - node-image-gc-rpi4-serviceaccount.yaml
  - node-image-prune-rpi5-serviceaccount.yaml
  - vault-serviceaccount.yaml
  - secretproviderclass.yaml
  - opensearch-pvc.yaml
  - opensearch-helmrelease.yaml
  - opensearch-dashboards-helmrelease.yaml
  - data-prepper-helmrelease.yaml
  - otel-collector-helmrelease.yaml
  - oneoffs/opensearch-ism-job.yaml
  - oneoffs/opensearch-dashboards-setup-job.yaml
  - oneoffs/opensearch-observability-setup-job.yaml
  - opensearch-single-node-tune-cronjob.yaml
  - opensearch-prune-cronjob.yaml
  - fluent-bit-helmrelease.yaml
  - node-log-rotation-daemonset.yaml
  - node-image-gc-rpi4-daemonset.yaml
  - node-image-prune-rpi5-daemonset.yaml
  - oauth2-proxy.yaml
  - vault-sync-deployment.yaml
  - ingress.yaml

configMapGenerator:
  - name: node-log-rotation-script
    namespace: logging
    files:
      - node_log_rotation.sh=scripts/node_log_rotation.sh
    options:
      disableNameSuffixHash: true
  - name: node-image-gc-rpi4-script
    namespace: logging
    files:
      - node_image_gc_rpi4.sh=scripts/node_image_gc_rpi4.sh
    options:
      disableNameSuffixHash: true
  - name: node-image-prune-rpi5-script
    namespace: logging
    files:
      - node_image_prune_rpi5.sh=scripts/node_image_prune_rpi5.sh
    options:
      disableNameSuffixHash: true
  - name: opensearch-prune-script
    namespace: logging
    files:
      - prune.py=scripts/opensearch_prune.py
    options:
      disableNameSuffixHash: true
  - name: opensearch-single-node-tune-script
    namespace: logging
    files:
      - tune.py=scripts/opensearch_single_node_tune.py
    options:
      disableNameSuffixHash: true
  - name: opensearch-observability-script
    namespace: logging
    files:
      - seed.py=scripts/opensearch_observability_seed.py
    options:
      disableNameSuffixHash: true

secretGenerator:
  - name: data-prepper-pipeline
    namespace: logging
    files:
      - pipelines.yaml=scripts/data_prepper_pipelines.yaml
    options:
      disableNameSuffixHash: true
